// Compute the average of numbers in an array.
public class Average {
  /** This method calculates the average by traversing over the array. */
  static double compute(double[] array) {
    double value = 0;
    for (int index = 0; index < array.length; ++index) {
      value += array[index];  // Add the current value from the array
    }
    return value/array.length;
  }
  static double average(double[] values) {
    double sum = 0;
    int numOfValues = values.length;
    for (int i = 0; i < numOfValues; ++i) {
      sum += values[i];
    }
    return sum/numOfValues;
  }
  public static void main(String[] args) {
    double[] values = { 1.0, 3.2, 4.1, 7.8, 9.3, 11.4, 8.5 };
    System.out.println(compute(values));
    System.out.println(average(values));
  }
}