/** This class represents a CD. */
public class CD {

  /** Price of the CD. */
  private double CDPrice;
  /** Number of tracks on the CD. */
  private int numOfTracks;

  /** Create a CD.
   *  @param price Price of the CD.
   *  @param tracks Number of tracks on the CD.
   */
  public CD(double price, int tracks) {
    CDPrice = price;
    numOfTracks = tracks;
  }

  /** @return Price of the CD. */
  public double getPrice() { return CDPrice;}
  /** @return Number of tracks on the CD. */
  public int getNumOfTracks() { return numOfTracks;}
}